Subject: Re: [PATCH 2/2] allow '%d' pretty format specifier to show decoration

From: Junio C Hamano <[email-masked]>
Date: Wed, 20 Aug 2008 11:32:16 -0700

Jeff King <[email-masked]> writes:

>     Is it too loose? Perhaps the enclosing parentheses should be
>     automatic,...

I think so.  The default output should primarily be for humans.

>   - should this turn on --decorate automatically?

Oh, absolutely.  If you plan to have different kind of decorations in the
future, then the logic can be "if there is explicit decoration specified,
don't do anything, but if there isn't any, turn the default one on."

Also, if it doesn't already, "--pretty=[t]format:" should make sure parent
rewriting is enabled when %p and %P is used.  I didn't look.